[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: bdb error with 2.4.4alpha

On 3/10/07, Dieter Kluenter <dieter@dkluenter.de> wrote:
I have just updated 2.4.3alpha to 2.4.4alpha, when restarting slapd I
get following error

bdb_db_open: dbenv_open(/var/lib/ldap)
bdb_db_open: Database cannot be opened, err 22. Restore from backup!
====> bdb_cache_release_all
bdb(o=avci,c=de): DB_ENV->lock_id_free interface requires an environment configured for the locking subsyst
bdb(o=avci,c=de): txn_checkpoint interface requires an environment configured for the transaction subsystem
bdb_db_close: txn_checkpoint failed: Invalid argument (22)
backend_startup_one: bi_db_open failed! (22)
slapd shutdown: initiated

slapd has been compiled with db-4.4
ldd slapd
        linux-gate.so.1 =>  (0xffffe000)
        libldap_r-2.4.so.2 => /usr/local/lib/libldap_r-2.4.so.2 (0x40036000)
        liblber-2.4.so.2 => /usr/local/lib/liblber-2.4.so.2 (0x40080000)
        libltdl.so.3 => /usr/lib/libltdl.so.3 (0x4008d000)
        libdb-4.4.so => /usr/local/BerkeleyDB.4.4/lib/libdb-4.4.so (0x40094000)
        libodbc.so.1 => /usr/lib/libodbc.so.1 (0x40170000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x401d0000)
        libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x401e3000)
        libdl.so.2 => /lib/libdl.so.2 (0x401f8000)
        libssl.so.0.9.7 => /usr/lib/libssl.so.0.9.7 (0x401fc000)
        libcrypto.so.0.9.7 => /usr/lib/libcrypto.so.0.9.7 (0x4022c000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x4031f000)
        libc.so.6 => /lib/tls/libc.so.6 (0x40332000)
        /lib/ld-linux.so.2 (0x40000000)

Any idea what went wrong?

Did you lose your config files, DB_CONFIG, or run into a permission probem?